Agents
Read the agent memory index
Proxy the agent's memory index (/memory/MEMORY.md) live from the owning daemon; a not-yet-created file is data (exists:false). 503 when unplaced or the daemon is offline. 503 also when the memory home of the agent is not reachable right now; code says why.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
id*string
Query Parameters
channelKey?string
Match
^[A-Za-z0-9._-]+$Length
1 <= length <= 120path?string
Length
1 <= lengthoffset?integer
Range
0 <= value <= 9007199254740991limit?integer
Range
0 < value <= 65536Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/agents/string/memory"{ "path": "string", "exists": true, "size": 0, "mtime": "string", "content": "string", "offset": 0, "nextOffset": 0, "truncated": true}